using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Entity;
using GxPress.Request.Print;
using GxPress.Result.Print;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IPrintRepository:IRepository
    {
        Task<bool> InsertAsync(IEnumerable<Print> prints);

        Task<PagedList<Print>> GetPageListAsync(PageParameter request);

        Task<PrintResult> GetPrintChartAsync(PrintRequest request);
    }
}
